add multiple datasets to number in order activity
AcceptedPublic

Authored by AkshayCHD on Jul 19 2019, 4:09 AM.

Diff Detail

Repository
R2 GCompris
Branch
gsoc_akshaychd_number_in_order_multiple_datasets
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 15910
Build 15928: arc lint + arc unit
AkshayCHD created this revision.Jul 19 2019, 4:09 AM
Restricted Application added a project: KDE Edu. · View Herald TranscriptJul 19 2019, 4:09 AM
Restricted Application added a subscriber: kde-edu. · View Herald Transcript
AkshayCHD requested review of this revision.Jul 19 2019, 4:09 AM
AkshayCHD edited the summary of this revision. (Show Details)Jul 19 2019, 4:11 AM
AkshayCHD edited the test plan for this revision. (Show Details)
AkshayCHD edited projects, added GCompris: Improvements; removed KDE Edu.
AkshayCHD edited subscribers, added: GCompris, GCompris: Improvements; removed: kde-edu.
Restricted Application added a project: KDE Edu. · View Herald TranscriptJul 19 2019, 4:11 AM
AkshayCHD updated this revision to Diff 62307.Jul 22 2019, 2:50 PM
  • add multiple datasets to alphabet-sequence activity
  • add configuration menu to alphabet-sequence activity
  • Merge branch 'gsoc_akshaychd_number_in_order_multiple_datasets' of git.kde.org:gcompris into gsoc_akshaychd_number_in_order_multiple_datasets
This revision was not accepted when it landed; it landed in state Needs Review.Jul 22 2019, 3:11 PM
This revision was automatically updated to reflect the committed changes.
AkshayCHD reopened this revision.Jul 22 2019, 4:55 PM
AkshayCHD updated this revision to Diff 62326.Jul 22 2019, 4:56 PM
  • add multiple datasets to alphabet-sequence activity
  • add configuration menu to alphabet-sequence activity
  • Merge branch 'gsoc_akshaychd_number_in_order_multiple_datasets' of git.kde.org:gcompris into gsoc_akshaychd_number_in_order_multiple_datasets
AkshayCHD updated this revision to Diff 62525.Jul 25 2019, 8:56 AM
  • add spaces to end of line
timotheegiet requested changes to this revision.Jul 25 2019, 2:12 PM
timotheegiet added a subscriber: timotheegiet.

Why did you duplicate the svg images from planegame in the alphabet-sequence activity (cloud, cloud_storm and tuxhelico) ?
It is not needed and only increase the size of the package.

This revision now requires changes to proceed.Jul 25 2019, 2:12 PM
AkshayCHD updated this revision to Diff 62886.Aug 1 2019, 6:46 AM
  • remove unnecessary resources

@echarruau @timotheegiet
For me, there is no pedagogic usefulness to finding words in the good order in alphabetical_order: the child does not see all the words at start so it's just going on all the words expecting it's the first one to find (especially when showNext is false).
I think we should think on how to improve the pedagogic side of these activities instead of adding dataset (but not on the scope of this gsoc)...

src/activities/alphabet-sequence/ActivityConfig.qml
42

not adapted

src/activities/numbers-odd-even/resource/1/Data.qml
28

up to

src/activities/planegame/resource/1/Data.qml
2

extra line

Actually I agree with Johnny's comment about alphabet-sequence activity; better not add dataset to it and instead see how we can improve its pedagogical side.

Hi,
Not sure I agree with Johnny and Timothée.
I think there is as much interest in selecting the next word in alphabetical order that there is in selecting the next number. If you start with a word like "action" then present "zebra" then "boat" then "coat" then "three" then "dount", if your pupil is able to skip "zebra" and "three" then it is a nice activity.
We just need to make sure that we have two words on the screen before to allow the helicopter to move.

What we can do if we want to have an active pedagogical side is to make the activity interactive.
When the child makes a mistake we can tell him that the previous word was for example "action", that he sees that the following word is "zebra" but that "z" is after the "b" of "boat".

But this is not part of multipledataset gsoc :) It is more a full new task for after gsoc!

By the way, this would be great to be done with numbers too, this would allow us to give number series such as 1 5 8 10 45 and not just 1 2 3 4 5 6.

Emmanuel

Hi,
Not sure I agree with Johnny and Timothée.
I think there is as much interest in selecting the next word in alphabetical order that there is in selecting the next number. If you start with a word like "action" then present "zebra" then "boat" then "coat" then "three" then "dount", if your pupil is able to skip "zebra" and "three" then it is a nice activity.

Yes, there is an interest but the activity needs to be reworked for it. For now, you can have "zebra" then "boat" then "action" but when "boat" appears, you have no way to know if it is the first word of the sequence or not and you'll try anyway to select "boat". If it is the good word, then boat is first in the sequence but as you don't know all the words of the sequence, it's just "luck".
If you have the next word to select, it's just find the good word, the child may not bother with the alphabetical order.

I think we should focus more on ascending_order activity than these ones.

We just need to make sure that we have two words on the screen before to allow the helicopter to move.

What we can do if we want to have an active pedagogical side is to make the activity interactive.
When the child makes a mistake we can tell him that the previous word was for example "action", that he sees that the following word is "zebra" but that "z" is after the "b" of "boat".

But this is not part of multipledataset gsoc :) It is more a full new task for after gsoc!

By the way, this would be great to be done with numbers too, this would allow us to give number series such as 1 5 8 10 45 and not just 1 2 3 4 5 6.

Emmanuel

I agree with you that ascending order is of a much higher priority and that this one needs to be reworked.

amankumargupta added inline comments.
src/activities/alphabet-sequence/ActivityConfig.qml
48

You can replace the loop with this simple condition:
modeBox.currentIndex = ((availableModes[0].value === dataToSave["mode"]) ? 0 : 1)

src/activities/alphabet-sequence/resource/1/Data.qml
31 ↗(On Diff #62886)

Please add translator comments.

src/activities/numbers-odd-even/resource/1/Data.qml
33

Can you please add a comment telling what showNext does? Will make the code more readable for anyone who would read the code in the future.

AkshayCHD updated this revision to Diff 63582.Aug 11 2019, 9:06 PM
  • planegame, add comments
AkshayCHD marked 4 inline comments as done.Aug 11 2019, 9:10 PM
AkshayCHD added inline comments.
src/activities/alphabet-sequence/ActivityConfig.qml
48

@amankumargupta But we cannot use the statement if we have to add another mode in the future.

AkshayCHD added a comment.EditedAug 11 2019, 9:11 PM

As per the discussion above, I have removed multiple datasets from alphabet_sequence activity and added logic to use simple dataset for alphabet sequence

Tested, for me it's good to merge.
I wait for other mentors advices on the code before pushing the "Accept Revision" button.

timotheegiet accepted this revision.Aug 21 2019, 12:18 PM
This revision is now accepted and ready to land.Aug 21 2019, 12:18 PM
jjazeix accepted this revision.Sat, Aug 31, 1:50 PM

I have this warning when starting alphabet-sequence: qrc:/gcompris/src/activities/planegame/planegame.js:81: TypeError: Cannot read property 'bar' of undefined
Except this, it is good for me

src/activities/numbers-odd-even/resource/2/Data.qml
29

//: is for translators comments, not for developers comments, you can drop the :

src/activities/planegame/Planegame.qml
85

string?

AkshayCHD updated this revision to Diff 65069.Sat, Aug 31, 7:39 PM
  • number in order, fix minor typos
This revision was automatically updated to reflect the committed changes.
AkshayCHD reopened this revision.Sat, Aug 31, 7:39 PM
This revision is now accepted and ready to land.Sat, Aug 31, 7:39 PM
AkshayCHD marked 2 inline comments as done.Sat, Aug 31, 7:41 PM

@jjazeix made the changes, still looking for the cause for warning though

AkshayCHD updated this revision to Diff 65077.Sat, Aug 31, 8:06 PM
  • add multiple datasets to alphabet-sequence activity
  • add configuration menu to alphabet-sequence activity
  • Merge branch 'gsoc_akshaychd_number_in_order_multiple_datasets' of git.kde.org:gcompris into gsoc_akshaychd_number_in_order_multiple_datasets
  • add spaces to end of line
  • remove unnecessary resources
  • planegame, add comments
  • number in order, fix minor typos